Loading...
Searching...
No Matches
chain_vine_swap.h File Reference

Contains the Gudhi::persistence_matrix::Chain_barcode_swap and Gudhi::persistence_matrix::Chain_vine_swap classes, as well as the Gudhi::persistence_matrix::Dummy_chain_vine_swap and Gudhi::persistence_matrix::Dummy_chain_vine_pairing structures. More...

Go to the source code of this file.

## Classes

struct | Gudhi::persistence_matrix::Dummy_chain_vine_swap
| Empty structure. Inherited instead of Chain_vine_swap, when vine swaps are not enabled. More...
struct | Gudhi::persistence_matrix::Dummy_chain_vine_pairing
| Empty structure. Inherited instead of Chain_barcode_swap, when the barcode is not stored. More...
class | Gudhi::persistence_matrix::Chain_barcode_swap< Master_matrix >
| Class managing the barcode for Chain_vine_swap. More...
class | Gudhi::persistence_matrix::Chain_vine_swap< Master_matrix >
| Class managing the vine swaps for Chain_matrix. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_matrix
| Persistence matrix namespace.

## Functions

constexpr bool | Gudhi::persistence_matrix::_no_G_death_comparator (unsigned int columnIndex1, unsigned int columnIndex2)
| Default death comparator. Simply assumes that two positive paired columns are never swapped. Which is true for the use case in zigzag persistence for example.

## Detailed Description

Contains the Gudhi::persistence_matrix::Chain_barcode_swap and Gudhi::persistence_matrix::Chain_vine_swap classes, as well as the Gudhi::persistence_matrix::Dummy_chain_vine_swap and Gudhi::persistence_matrix::Dummy_chain_vine_pairing structures.

Author
  Hannah Schreiber